summary refs log tree commit diff
path: root/scripts-dev
diff options
context:
space:
mode:
authorErik Johnston <erik@matrix.org>2019-07-17 10:56:55 +0100
committerErik Johnston <erik@matrix.org>2019-07-17 10:56:55 +0100
commit5299707329e1c5d6228605ca660800f6dc4cf20d (patch)
tree5277555c65670460cbd761698b1c920473d2835f /scripts-dev
parentMerge remote-tracking branch 'origin/release-v1.1.0' into matrix-org-hotfixes (diff)
parentMerge pull request #5597 from matrix-org/erikj/admin_api_cmd (diff)
downloadsynapse-5299707329e1c5d6228605ca660800f6dc4cf20d.tar.xz
Merge branch 'develop' of github.com:matrix-org/synapse into matrix-org-hotfixes
Diffstat (limited to 'scripts-dev')
-rwxr-xr-xscripts-dev/lint.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts-dev/lint.sh b/scripts-dev/lint.sh
new file mode 100755
index 0000000000..ebb4d69f86
--- /dev/null
+++ b/scripts-dev/lint.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+# Runs linting scripts over the local Synapse checkout
+# isort - sorts import statements
+# flake8 - lints and finds mistakes
+# black - opinionated code formatter
+
+set -e
+
+isort -y -rc synapse tests scripts-dev scripts
+flake8 synapse tests
+python3 -m black synapse tests scripts-dev scripts